Summary:   	An RPM package installation wizard
Name:      	rpmwiz
Version:   	0.7
Release:   	1
Copyright: 	GPL
Url:       	http://rpmwiz.sourceforge.net/
Group:     	System
Source0:    	%{name}-%{version}.tar.gz
Source1:	rpmwiz-db.py
Source2:	depends.aLinux
Source3:	list.aLinux
Source4:	provides.aLinux
Source5:	pinball-0.1.2-1.i386.rpm
Source6:	tuxpaint-0.9.2-1.i386.rpm
Patch0:		%{name}.diff
Patch1:		2.diff
Requires:  	python PyQt sid rpm
Prefix:    	/opt/kde
BuildRoot:      /var/tmp/rpm-%{version}-root

%description
RPM Wizard is an installation program for RPM packages. Using a wizard
interface, it makes installing easy even for beginners. With features
such as automatic dependency handling, it aims to become the most
easy-to-use RPM installation program.

%prep
%setup -q
%patch0 -p0
#patch1 -p0
cp %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} $RPM_BUILD_DIR/%{name}-%{version}
mkdir -p /aLinuxtest; cp %{SOURCE4} %{SOURCE5} /aLinuxtest

%build

%install
./install.py
./rpmwiz-db.py # Stick some RPMS in some place - i used /test/;
./install_database.py
mkdir -p /aLinuxtest
mkdir -p $RPM_BUILD_ROOT/opt/kde/{bin,share/doc,share/applnk/System,share/applications/kde,share/rpmwiz/database}
cp -R /opt/kde/share/rpmwiz $RPM_BUILD_ROOT/opt/kde/share/
cp -R /opt/kde/share/doc/%{name}-%{version} $RPM_BUILD_ROOT//opt/kde/share/doc/
cp /opt/kde/bin/rpmwiz $RPM_BUILD_ROOT/opt/kde/bin/
#cp /opt/kde/share/applnk/System/rpmwiz.desktop $RPM_BUILD_ROOT/opt/kde/share/applnk/System/
cp /opt/kde/share/applications/rpmwiz.desktop $RPM_BUILD_ROOT/opt/kde/share/applications/kde/
cp /opt/kde/share/rpmwiz/database/* $RPM_BUILD_ROOT/opt/kde/share/rpmwiz/database/
cp -R /aLinuxtest $RPM_BUILD_ROOT

%clean
rm -R /opt/kde/share/rpmwiz
rm -R /opt/kde/share/doc/%{name}-%{version}
rm /opt/kde/bin/rpmwiz
rm /opt/kde/share/applnk/System/rpmwiz.desktop
rm /opt/kde/share/applications/rpmwiz.desktop
#rm -R /aLinuxtest

%files
%doc README COPYING
/aLinuxtest
/opt
